Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynAny_i Class Reference

`#include <DynAny_i.h>`

Inheritance diagram for TAO_DynAny_i

[legend]
Collaboration diagram for TAO_DynAny_i:

[legend]
List of all members.

## Public Methods
| TAO_DynAny_i (void)
| ~TAO_DynAny_i (void)
void | init (CORBA_TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | init (const CORBA_Any& any, CORBA::Environment &ACE_TRY_ENV)
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual void | from_any ( const CORBA::Any & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any* | to_any ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal ( DynamicAny::DynAny_ptr dyn_any, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | destroy ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynAny_i* | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
## Private Methods
void | check_typecode (CORBA::TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | set_to_default_value (CORBA::TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | init_common (void)
| TAO_DynAny_i (const TAO_DynAny_i &src)
TAO_DynAny_i& | operator= (const TAO_DynAny_i &src)

## Constructor & Destructor Documentation

TAO_DynAny_i::TAO_DynAny_i ( | void )

TAO_DynAny_i::~TAO_DynAny_i ( | void )

TAO_DynAny_i::TAO_DynAny_i ( | const TAO_DynAny_i & src )`[private]`

## Member Function Documentation

TAO_DynAny_i * TAO_DynAny_i::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

void * TAO_DynAny_i::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Object.

void TAO_DynAny_i::check_typecode ( | CORBA::TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )`[private]`

DynamicAny::DynAny_ptr TAO_DynAny_i::current_component ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

void TAO_DynAny_i::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

CORBA::Boolean TAO_DynAny_i::equal ( | DynamicAny::DynAny_ptr rhs,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_DynAny_i::from_any ( | const CORBA::Any & value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

void TAO_DynAny_i::init ( | const CORBA_Any & any,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynAny_i::init ( | CORBA_TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynAny_i::init_common ( | void )`[private]`

TAO_DynAny_i& TAO_DynAny_i::operator= ( | const TAO_DynAny_i & src )`[private]`

void TAO_DynAny_i::set_to_default_value ( | CORBA::TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )`[private]`

CORBA::Any_ptr TAO_DynAny_i::to_any ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

The documentation for this class was generated from the following files:

- DynAny_i.h
- DynAny_i.cpp